Bug 504892 - Live CD will "end_request: I/O error, dev sr0", unable to boot
Live CD will "end_request: I/O error, dev sr0", unable to boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 18:57 EDT by progrox
Modified: 2010-06-28 08:50 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description progrox 2009-06-09 18:57:03 EDT
Description of problem: When booting from CD, the usual countdown to boot will appear, as well as the initial Fedora boot menu. Selecting "Boot from CD" as well as "Verify, Boot from CD" will give a black screen for a few seconds, then the CD drive audibly slows down and it begins displaying:

"end_request: I/O error, dev sr0, sector 1414248"
" ....... logical block 353562"

This will repeat a few times, then it will repeat varying between logical block 353560-353562.


Version-Release number of selected component (if applicable):
Fedora 11 x86_64 Final. (June 9th, 2009)

How reproducible: 
Not sure if reproducible. This is a vanilla Live CD.


Steps to Reproduce:
1. Download Fedora 11 x86_64 Live CD image
2. Burn to CD
3. At startup, select Boot from CD
  
Actual results:
Error message as described that repeats itself over and over.

Expected results:
Fedora boots from CD.

Additional info:
I have downloaded the ISO both by Torrent and from the official homepage. Their MD5 sums are identical. I have burned this ISO a second time at 10x speed to a different CD, with the same result and exactly the same sector & logical blocks giving the error. This is a standard, no-name, functional CD drive.
Comment 1 Rob McMillin 2009-06-22 22:58:31 EDT
Also seeing this with differing block/sector numbers.
Comment 2 Rob McMillin 2009-06-23 19:02:04 EDT
My hardware configuration is a Dell Dimension 4600: 

[rlm@localhost incoming]$ sudo cdrecord -devices
[sudo] password for rlm: 
wodim: Overview of accessible drives (2 found) :
-------------------------------------------------------------------------
 0  dev='/dev/scd0'	rwrw-- : 'SAMSUNG' 'CD-ROM SC-148A'
 1  dev='/dev/scd1'	rwrw-- : '_NEC' 'DVD+RW ND-2100AD'
-------------------------------------------------------------------------

Booting off the Samsung unit (the DVD unit can't be booted from).
Comment 3 Chuck Ebbert 2009-06-29 13:59:32 EDT
Try adding 'pci=nomsi' to the kernel boot options.
Comment 4 Rob McMillin 2009-06-29 16:36:32 EDT
That sounds great. How would I do that? The boot options menu that comes up when I boot from the Fedora Live CD doesn't have seem to have an option that would allow me to change the boot options.
Comment 5 Rob McMillin 2009-07-01 14:36:28 EDT
Thanks to the fine folks at LinuxQuestions, I got an answer to my question posed in comment 4.

http://www.linuxquestions.org/questions/fedora-35/how-can-i-change-the-boot-string-on-fedora-11-live-cd-736747/

Unfortunately, I still get the same errors at boot time even with the "pci=nomsi" boot option set.
Comment 6 Richard P 2009-07-24 21:17:43 EDT
I am experiencing the same problem.  I'm running an Acer Aspire 1350.  It's quite an old laptop.  

By removing "quiet" from the boot options, I can see more of the log.  It appears to fail shortly after loading the CD-Rom driver, with the following errors:

Uniform CD-Rom Drive Revision: 2.30
Sense Key Medium Error
Unhandled Sense Code
Unrecognised Read Error

I've tried "pci=nomsi" and I'm afraid it hasn't helped.

I'm investigating if the problem is to do with the cd drive's firmware.  My cd drive is a qsi sbw242c.
Comment 7 progrox 2009-07-28 20:10:50 EDT
OP here, my CD drive is an Aopen 956E\AKV. I could list the rest of the hardware but I assume this is the culprit?
Comment 8 Kevin C 2009-09-25 12:00:29 EDT
Had the same problem with f11 live cd 64-bit. Just waiting for 25+ minutis dit it for me. 

There were also some problems in speed with the actual installation.

But all seems up and running now.
Comment 9 Tony Howard 2010-02-22 14:30:13 EST
I'm seeing this as well.  I think something may be going wrong during the burning process...  If I try to run dd if=/dev/cdrom of=livecd.iso on a live image I've burned, I get the same Buffer I/O errors, and the resulting livecd.iso is a few k smaller than the original iso I burned.  I've tried burning the same image on different computers, and the resulting disk images produce the I/O errors at the same sectors.
Comment 10 Steve Tyler 2010-03-07 06:44:35 EST
(In reply to comment #0)
...
> 2. Burn to CD
...

What tool are you using to burn your CD?

Bug 571074 - brasero CD image burns produce kernel I/O errors with some optical drives
Comment 11 progrox 2010-03-07 11:58:34 EST
(In reply to comment #10)
> What tool are you using to burn your CD?
> 
> Bug 571074 - brasero CD image burns produce kernel I/O errors with some optical
> drives    

Fairly sure I was using CDBurnerXP at the time.

I also got I/O errors with a burned Crunchbang install CD using ImgBurn that were very much like this.
Comment 12 Steve Tyler 2010-03-07 15:30:38 EST
(In reply to comment #11)
> (In reply to comment #10)
> > What tool are you using to burn your CD?
> > 
> > Bug 571074 - brasero CD image burns produce kernel I/O errors with some optical
> > drives    
> 
> Fairly sure I was using CDBurnerXP at the time.
> 
> I also got I/O errors with a burned Crunchbang install CD using ImgBurn that
> were very much like this.    

Thanks. Those both appear to be Windows apps:
http://cdburnerxp.se/
http://www.imgburn.com/

CDBurnerXP has an option to let you choose "Disc at Once". That might be worth trying.
http://cdburnerxp.se/pages/screenshots/burnoptions.png

Nero 8 (WinXP/Asus Z91E/Toshiba burner) burned a CD that did not produce linux kernel errors and that passed readom's tests (Bug 571074, Comment 3). Nero 8 came with my CD burner (LiteOn iHAS424 retail). Unfortunately, I don't have WinXP on the system with the LiteOn burner.
Comment 13 Steve Tyler 2010-03-07 16:17:56 EST
(In reply to comment #12)
> CDBurnerXP has an option to let you choose "Disc at Once". That might be worth
> trying.
> http://cdburnerxp.se/pages/screenshots/burnoptions.png

OK, try DAO16.

I installed CDBurnerXP (4.2.7.1893) on WinXP and did two test burns (Asus Z91E/Toshiba burner):
1. Burn method: Choose automatically
2. Burn method: Disc at Once P+Q (DAO16)

The auto method produces a CD that causes kernel errors (F12/LiteOn iHAS424), and "readom -c2scan" reports errors at the end of the image.
The DAO16 method produces a CD that causes no errors.

Tested with this ISO CD image (26-Feb-2010 00:23  235M):
http://serverbeach1.fedoraproject.org/pub/alt/stage/13-Alpha.RC4/Fedora/i386/iso/Fedora-13-Alpha-i386-netinst.iso
http://serverbeach1.fedoraproject.org/pub/alt/stage/13-Alpha.RC4/Fedora/i386/iso/Fedora-13-Alpha-i386-CHECKSUM

NB: In these tests, I burn on the WinXP/Asus Z91E/Toshiba burner system and check for errors on the F12/LiteOn iHAS424 system.
Comment 14 Bug Zapper 2010-04-27 10:42:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 08:50:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.